#pragma once

#include "CoreMinimal.h"
#include "OutlineUpdateStrategy.h"
#include "TunableStat.h"
#include "K35KillerTeleportPointOutlineStrategy.generated.h"

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class UK35KillerTeleportPointOutlineStrategy : public UOutlineUpdateStrategy
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FTunableStat _visibleAuraDistanceSurvivor;

public:
	UK35KillerTeleportPointOutlineStrategy();
};

FORCEINLINE uint32 GetTypeHash(const UK35KillerTeleportPointOutlineStrategy) { return 0; }
